## ros-dashing-cross-compile 0.2.0

=== requirements.txt ===
argcomplete==1.10.0
atomicwrites==1.3.0
attrs==19.1.0
catkin-pkg==0.4.13
certifi==2019.6.16
chardet==3.0.4
colcon-argcomplete==0.3.3
colcon-bash==0.3.2
colcon-cmake==0.2.13
colcon-common-extensions==0.2.0
colcon-core==0.3.23
colcon-defaults==0.2.2
colcon-devtools==0.2.1
colcon-library-path==0.2.1
colcon-metadata==0.2.2
colcon-mixin==0.1.5
colcon-notification==0.2.9
colcon-output==0.2.4
colcon-package-information==0.2.2
colcon-package-selection==0.2.4
colcon-parallel-executor==0.2.4
colcon-pkg-config==0.1.0
colcon-powershell==0.3.4
colcon-python-setup-py==0.2.1
colcon-recursive-crawl==0.2.0
colcon-ros==0.3.10
colcon-test-result==0.3.4
colcon-zsh==0.3.2
coverage==4.5.4
distlib==0.2.9.post0
docker==4.0.2
empy==3.3.4
flake8==3.7.8
idna==2.8
importlib-metadata==0.19
Jinja2==2.10.1
MarkupSafe==1.1.1
more-itertools==7.2.0
packaging==19.0
pathspec==0.5.9
pluggy==0.12.0
py==1.8.0
pyparsing==2.4.1.1
pytest==5.0.1
pytest-cov==2.7.1
pytest-repeat==0.8.0
pytest-rerunfailures==7.0
pytest-runner==5.1
python-dateutil==2.8.0
PyYAML==5.1.1
requests==2.22.0
rosdep==0.15.2
rosdistro==0.7.4
rospkg==1.1.9
six==1.12.0
tqdm==4.32.2
urllib3==1.25.3
vcstool==0.2.2
wcwidth==0.1.7
websocket-client==0.56.0
yamllint==1.16.0
zipp==0.5.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = cross_compile
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
# Install ROS 2 dependencies using pip to help sphinx generate documentation API
# This should *not* be used with the intent of actually running the software, colcon should
# be used in this case.
git+https://github.com/ament/ament_index.git#egg=ament_index_python&subdirectory=ament_index_python
git+https://github.com/ros2/launch.git#egg=launch&subdirectory=launch
sphinx-markdown-tables

=== test/dummy_pkg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dummy_pkg)
add_executable(dummy_binary main.cpp)
install(TARGETS dummy_binary DESTINATION bin)

=== debian/changelog ===
ros-dashing-cross-compile (0.2.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 02 Jan 2020 23:28:50 -0000

=== debian/control ===
Source: ros-dashing-cross-compile
Section: misc
Priority: optional
Maintainer: ROS Tooling Working Group <ros-tooling@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), python3-docker, python3-pytest, ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-pep257, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-cross-compile
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-docker, ros-dashing-ros-workspace
Description: A cross compilation tool for ROS 2 packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/dashing" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-cross-compile//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
